package com.zksy.info.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zksy.info.domain.EEnterprisePowerInfo;
import com.zksy.info.service.EEnterprisePowerInfoService;
import com.zksy.info.mapper.EEnterprisePowerInfoMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author Administrator
* @description 针对表【e_enterprise_power_info(企业用电信息表)】的数据库操作Service实现
* @createDate 2025-06-26 15:05:35
*/
@Service
public class EEnterprisePowerInfoServiceImpl extends ServiceImpl<EEnterprisePowerInfoMapper, EEnterprisePowerInfo>
    implements EEnterprisePowerInfoService{

    @Override
    public Page<EEnterprisePowerInfo> findByPage(long pageNum, long pageSize, String enterpriseName) {
        Page<EEnterprisePowerInfo> page = new Page<>(pageNum,pageSize);
        LambdaQueryWrapper<EEnterprisePowerInfo> queryWrapper = new LambdaQueryWrapper();
        queryWrapper.like(enterpriseName != null,EEnterprisePowerInfo::getEnterpriseName,enterpriseName);
        queryWrapper.orderByDesc(EEnterprisePowerInfo::getUpdateTime);
        Page<EEnterprisePowerInfo> page1 = this.page(page, queryWrapper);
        return page1;
    }

    @Override
    public List<EEnterprisePowerInfo> getEEnterprisePowerInfoList(String enterpriseName) {
        LambdaQueryWrapper<EEnterprisePowerInfo> queryWrapper = new LambdaQueryWrapper();
        queryWrapper.like(enterpriseName != null,EEnterprisePowerInfo::getEnterpriseName,enterpriseName);
        queryWrapper.orderByDesc(EEnterprisePowerInfo::getUpdateTime);
        List<EEnterprisePowerInfo> list = this.list(queryWrapper);
        return list;
    }
}




